.preloader {
  display: flex;
  align-items: center;

  &.fixed {
    height: 100vh;
    left: 0;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 9999;
  }
  &.relative {
    justify-content: center;
    flex: 1;
  }

  @include transition(height 0.3s);

  ._OLD_loader-element {
    @include transition(blinking 0.3s ease infinite);
    -webkit-animation: blinking 1s ease infinite;
    -moz-animation: blinking 1s ease infinite;
    animation: blinking 1s ease infinite;
  }

  .loader-element {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    display: inline-block;
    border-top: 4px solid #dddddd;
    border-right: 4px solid transparent;
    box-sizing: border-box;
    @include transition(spin 1s ease infinite);
    -webkit-animation: spin 1s ease infinite;
    -moz-animation: spin 1s ease infinite;
    animation: spin 1s ease infinite;

    &::after {
      content: '';
      box-sizing: border-box;
      position: absolute;
      left: 0;
      top: 0;
      width: 48px;
      height: 48px;
      border-radius: 50%;
      border-bottom: 4px solid #008192;
      border-left: 4px solid transparent;
    }
  }

  &.show {
    height: 0;

    .loader-element {
      display: none !important;
    }
  }
}

@-moz-keyframes spin {
  100% {
    -moz-transform: rotate(360deg);
  }
}
@-webkit-keyframes spin {
  100% {
    -webkit-transform: rotate(360deg);
  }
}
@keyframes spin {
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-webkit-keyframes blinking {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@keyframes blinking {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
